= lcdgps(1)
:date: 25 February 2021
:keywords: gps, gpsd, lcdgps
:manmanual: GPSD Documentation
:mansource: GPSD Version {gpsdver}
:robots: index,follow
:sectlinks:
:toc: macro
:type: manpage

include::../www/inc-menu.adoc[]

== NAME

lcdgps - LCD client for gpsd

== SYNOPSIS

*lcdgps* [OPTIONS] [server[:port[:device]]]

*lcdgps* -h

*lcdgps* -V

== DESCRIPTION

*lcdgps* is a client that passes *gpsd* data to *lcdproc*, turning your
car computer into a very expensive and nearly feature-free GPS receiver.
Currently assumes a 4x40 LCD and writes data formatted to fit that size
screen. Also displays 4- or 6-character Maidenhead grid square output.

*lcdgps* does not require root privileges. It will also run fine as root.
Running under sudo will cause loss of functionality.

== OPTIONS

*-?*, *-h*, *--help*::
  Print a summary of options and then exit.
*-s*, *--sleep*::
  Sleep for 10 seconds before starting.
*-V*, *--version*::
  Print the package version and exit.

== ARGUMENTS

By default, clients collect data from the local *gpsd* daemon running
on localhost, using the default GPSD port 2947. The optional argument
to any client may override this behavior: *[server[:port[:device]]]*

For further explanation, and examples, see the *ARGUMENTS* section in
the *gps*(1) man page

== ENVIRONMENT

The environment variable *GPSD_UNITS* is checked if no unit system is
specified on the command line. It may be set to 'i'. 'imperial', 'm',
'metric', or 'n', 'nautical'.

+LC_MEASUREMENT+ and then +LANG+ are checked if no unit system has
been specified on the command line, or in +GPSD_UNITS+. If the value
is 'C', 'POSIX', or begins with 'en_US' the unit system is set to
imperial. The default if no system has been selected defaults to metric.

== RETURN VALUES

*0*:: on success.
*1*:: on failure

== SEE ALSO

*cgps*(1), *gegps*(1), *gpsctl*(1), *gps*(1), gpsprof*(1), *gpsfake*(1),
*gpscat*(1), *gpspipe*(1),  xgps*(1). *xgpsspeed*(1)

*libgps*(3), *libgpsmm*(3)

*gpsd*(8)

== RESOURCES

*Project web site:* {gpsdweb}

== COPYING

This file is Copyright 2013 by the GPSD project +
SPDX-License-Identifier: BSD-2-clause
